﻿using System;
using System.Collections.Generic;
using System.ComponentModel.Composition;
using System.Linq;
using System.Text;
using System.Windows.Controls;
using System.Windows;

namespace Contracts
{
    public interface IWpfService
    {
        // Gets the custom control to display in the host preferences dialog.
        UserControl OptionsUserControl { get; }

        string  Name { get; }
        Uri AddinIconUri { get; }
        string Description { get; }
        string Author { get; }
        Version Version { get; }
        Uri AuthorUri { get; }
        Uri UpdateUri { get; }
        
        string Status { get; set; }

        void Initialize();
        void Start();
        void Stop();

        event EventHandler StatusUpdated;
    }
}
