﻿using System;
using System.Collections.Generic;
using System.ComponentModel.Composition;
using System.Linq;
using System.Text;

namespace WpfAppHost
{
    public interface IWpfHost
    {
        void ShowNonModalMessage(string msg);
        AddinManager AddinManager { get; set; }
    }

    [MetadataAttribute]
    [AttributeUsage(AttributeTargets.Class)]
    public class WpfHostAttribute : ExportAttribute
    {
        public WpfHostAttribute()
            : base("UtilityHost", typeof(IWpfHost))
        {
        }
    }
}
